[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Sockets' (#rtl)

# fpbind

Bind a socket to an address.

## Declaration

Source position: socketsh.inc line 166

`function fpbind(`
`s: cint;`
`addrx: psockaddr;`
`addrlen: TSockLen`
`):cint;`

## Description

fpBind binds the socket s to address Addrx. Addrx has length Addrlen. The function returns 0 if the call was succesful, -1 if not.

## Errors

Errors are returned in SocketError and include the following:

ESockEBADF
  The socket descriptor is invalid.
ESockEINVAL
  The socket is already bound to an address,
ESockEACCESS
  Address is protected and you don't have permission to open it.

More errors can be found in the Unix man pages.

## See also

FPSocket |  | Create new socket

Documentation generated on: Feb 26 2014